ata_cmd_ioctl
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_cmd_ioctl — Handler for HDIO_DRIVE_CMD ioctl

## Synopsis

`int ata_cmd_ioctl (` | struct scsi_device * | scsidev,
| void __user * | arg`)`;

## Arguments

`scsidev`

  Device to which we are issuing command

`arg`

  User provided data for issuing command

## LOCKING

Defined by the SCSI layer. We don't really care.

## RETURNS

Zero on success, negative errno on error.

Prev | Up | Next
ata_get_identity | Home | ata_task_ioctl